#include <print>

import Stack;

// Stack-Objekt definieren
Stack myStack(5); // Stack mit 5 Eintraegen anlegen

int main()
{
    short value;
    bool retVal;

    // Werte auf Stack ablegen
    std::println("Werte auf Stack: ");
    do
    {
        value = static_cast<short>(std::rand()%100);
        // Beachte: retVal = ...; ist der INIT-Ausdruck
        if (retVal = myStack.Push(value); retVal)
            std::print("{},", value);
    } while (retVal); // bis Stack voll

    // Werte vom Stack auslesen
    std::println("\nUnd jetzt wieder lesen: ");
    do
    {
        if (retVal = myStack.Pop(value); retVal)
            std::print("{},", value);
    } while (retVal); // bis Stack leer
}
